Subject: Re: bug#17361: Tramp does not save history across sessions.

From: Michael Albinus <[email-masked]>
Date: Tue, 29 Apr 2014 16:42:56 +0200

Stefan Monnier <[email-masked]> writes:

>> Maybe. But Tramp cannot know who is using it. It just offers (its own
>> implementation of) very primitive functions, that's it. And it cannot
>> know, whether the calling library is doing its settings before or after
>> Tramp's setup.
>> That's what this bug report is about.
>
> The fix is to make those other packages use add-function as well, then.

And why not modify `set-process-sentinel'? This would be less changes in
the different packages.

>         Stefan

Best regards, Michael.